[arch-commits] Commit in bug-buddy/trunk (PKGBUILD gcc-4.4.patch)

Jan de Groot jgc at archlinux.org
Sat Jun 13 12:59:23 UTC 2009


    Date: Saturday, June 13, 2009 @ 08:59:23
  Author: jgc
Revision: 42374

upgpkg: bug-buddy 2.26.0-2
    Fix FS#15064

Added:
  bug-buddy/trunk/gcc-4.4.patch
Modified:
  bug-buddy/trunk/PKGBUILD

---------------+
 PKGBUILD      |   11 +++++++----
 gcc-4.4.patch |   32 ++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-13 12:50:36 UTC (rev 42373)
+++ PKGBUILD	2009-06-13 12:59:23 UTC (rev 42374)
@@ -3,21 +3,24 @@
 
 pkgname=bug-buddy
 pkgver=2.26.0
-pkgrel=1
+pkgrel=2
 pkgdesc="A bug reporting tool for GNOME"
 arch=(i686 x86_64)
 install=bug-buddy.install
-depends=('gnome-menus>=2.26.0' 'evolution-data-server>=2.26.0' 'libgtop>=2.26.0' 'libelf' 'gconf>=2.26.0-2')
+depends=('gnome-menus>=2.26.1' 'evolution-data-server>=2.26.2' 'libgtop>=2.26.1' 'libelf' 'gconf>=2.26.0-2')
 makedepends=('intltool' 'pkgconfig' 'gnome-doc-utils>=0.16.0')
 groups=('gnome-extra')
 license=(GPL)
 options=('!libtool' '!emptydirs')
 url="http://www.gnome.org"
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.26/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('f92663a1a819f83e3eb3004f9e8a687a')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.26/${pkgname}-${pkgver}.tar.bz2
+        gcc-4.4.patch)
+md5sums=('f92663a1a819f83e3eb3004f9e8a687a'
+         '1d6eda79b925b9c20ab745999f0ab7ce')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/gcc-4.4.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var || return 1
   make || return 1

Added: gcc-4.4.patch
===================================================================
--- gcc-4.4.patch	                        (rev 0)
+++ gcc-4.4.patch	2009-06-13 12:59:23 UTC (rev 42374)
@@ -0,0 +1,32 @@
+--- ./google-breakpad/src/processor/postfix_evaluator-inl.h~	2009-02-26 19:56:48.000000000 -0500
++++ ./google-breakpad/src/processor/postfix_evaluator-inl.h	2009-06-11 17:27:18.451971694 -0400
+@@ -37,7 +37,7 @@
+ #ifndef PROCESSOR_POSTFIX_EVALUATOR_INL_H__
+ #define PROCESSOR_POSTFIX_EVALUATOR_INL_H__
+ 
+-
++#include <cstdio>
+ #include <sstream>
+ 
+ #include "processor/postfix_evaluator.h"
+--- ./google-breakpad/src/client/linux/handler/exception_handler.cc~	2009-02-26 19:56:49.000000000 -0500
++++ ./google-breakpad/src/client/linux/handler/exception_handler.cc	2009-06-11 20:54:54.667061888 -0400
+@@ -44,6 +44,8 @@
+ #include <ctime>
+ #include <linux/limits.h>
+ 
++#include <cstdio>
++
+ #include "client/linux/handler/exception_handler.h"
+ #include "common/linux/guid_creator.h"
+ #include "google_breakpad/common/minidump_format.h"
+--- ./google-breakpad/src/client/linux/handler/minidump_generator.cc~	2009-02-26 19:56:49.000000000 -0500
++++ ./google-breakpad/src/client/linux/handler/minidump_generator.cc	2009-06-11 21:06:14.963661633 -0400
+@@ -39,6 +39,7 @@
+ #include <sys/wait.h>
+ #include <string.h>
+ 
++#include <cstdio>
+ #include <cstdlib>
+ #include <cstring>
+ #include <ctime>




More information about the arch-commits mailing list